pub mod songmeta;
use crate::songmeta::songmeta::*;

///Stores a list of SongMetas
#[derive(Debug, Clone)]
struct Playlist {
    songs: Vec<SongMeta>,
}

#[derive(Debug, Clone)]
enum PlaylistError {
    IndexNotFound,
    SomethingElse,
}

impl Playlist {
    ///Returns a new empty playlist.
    fn new() -> Self {
        Self {
            songs: vec![],
        }
    }

    ///Returns a playlist from a file containing a list of audiofile paths.
    fn from_file(path: &Path) -> Self;

    ///Removes a song at index (if possible)
    fn pop() -> Result<(), PlayListError>;


}